<?xml version="1.0" encoding="UTF-8"?>

<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>io.geekidea.springbootplus</groupId>
        <artifactId>parent</artifactId>
        <version>2.0</version>
    </parent>

    <artifactId>bootstrap</artifactId>
    <name>bootstrap</name>
    <description>项目启动模块</description>

    <dependencies>

        <dependency>
            <groupId>io.geekidea.springbootplus</groupId>
            <artifactId>framework</artifactId>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>io.geekidea.springbootplus</groupId>-->
<!--            <artifactId>api-app</artifactId>-->
<!--        </dependency>-->


        <dependency>
            <groupId>io.geekidea.springbootplus</groupId>
            <artifactId>core</artifactId>
        </dependency>

        <dependency>
            <groupId>io.geekidea.springbootplus</groupId>
            <artifactId>scheduled</artifactId>
        </dependency>
    </dependencies>


    <distributionManagement>
        <repository>
            <id>wecloud</id>
            <url>http://124.71.68.175:8081/repository/maven-releases/</url>
        </repository>
        <snapshotRepository>
            <id>wecloud</id>
            <url>http://124.71.68.175:8081/repository/maven-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring-boot.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>com.wecloud</groupId>
                <artifactId>classencrypt-maven-plugin</artifactId>
                <version>${maven-classencrypt-plugin.version}</version>
                <configuration>
<!--                    参数说明-->
<!--                    -packages    加密的包名(可为空,多个用","分割)-->
<!--                    -libjars     jar/war包lib下要加密jar文件名(可为空,多个用","分割)-->
<!--                    -cfgfiles    需要加密的配置文件，一般是classes目录下的yml或properties文件(可为空,多个用","分割)-->
<!--                    -excludes     排除的类名(可为空,多个用","分割)-->
<!--                    -classpath   外部依赖的jar目录，例如/tomcat/lib(可为空,多个用","分割)-->
<!--                    -password         加密密码，如果是#号，则使用无密码模式加密-->
<!--                    -code        机器码，在绑定的机器生成，加密后只可在此机器上运行-->
                    <password>wecloud#0-0</password><!--加密打包之后pom.xml会被删除，不用担心在jar包里找到此密码-->
                    <packages>com.wecloud,io.geekidea</packages>
<!--                    <cfgfiles>application.yml</cfgfiles>-->
<!--                    <excludes>io.geekidea</excludes>-->
<!--                    <libjars>a.jar,b.jar</libjars> 多个之间用,分割-->

<!--                    机器绑定-->
<!--                    机器绑定只允许加密的项目在特定的机器上运行；-->
<!--                    在需要绑定的机器上执行以下命令，生成机器码-->
<!--                    在cmd目录下，执行 java -jar classencrypt-fatjar.jar -C-->
<!--                    例如我本机是： 4B1ABEBA8423DEE07469C1E38B3CF7881BBAC2F6C072365DF2297D84370991CC97E8330B0E5FB4ADFF0F87A038F4773A-->
<!--                    <code>4B1ABEBA8423DEE07469C1E38B3CF7881BBAC2F6C072365DF2297D84370991CC97E8330B0E5FB4ADFF0F87A038F4773A</code>-->
                </configuration>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>classEncrypt</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

        </plugins>
    </build>


</project>
